Bug 135191 - session-managed gnome-terminal leaves user logged in
session-managed gnome-terminal leaves user logged in
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 19:41 EDT by Sydney Weidman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sydney Weidman 2004-10-09 19:41:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
When I log in to a gnome session in X and start an instance of
gnome-terminal, and then log out of X with gnome-terminal still
running, selecting "Save settings" checkbox in the logout dialog box,
the user will appear to still be logged in. The login session for a
user, say user 'bar', appears like this in the output of who:
bar      pts/6        Oct  9 18:03 (:0.0)
even though the user should be logged out.

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
1. Log in to a gnome X session
2. Open an instance of gnome-terminal
3. Click "Log Out" from the foot menu.
4. Make sure "Save current settings" checkbox is selected
5. Click "OK" to log out
    

Actual Results:  The output of 'who' still shows the user as logged in. 

Expected Results:  The user should not still be logged in.

Additional info:

One instance of the user will show up in the output of 'who' for every
gnome-terminal tab page open when gnome-session ends. This occurs even
with the default setting of "Run command as a login shell"
de-selected. Attempting to run userdel on the user returns a message
"user [username] is currently logged in". There are no processes
running under that user. The only way to get rid of the login is to
reboot the computer.
Comment 1 Sydney Weidman 2004-10-09 19:56:58 EDT
Same behaviour for user 'root' as for everyone else, in case it matters.
Comment 2 Matthew Miller 2005-04-26 11:02:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Ray Strode [halfline] 2005-05-11 17:22:34 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.